- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_file_t

# mongoc_gridfs_file_set_metadata()

## Synopsis

    void
    mongoc_gridfs_file_set_metadata (mongoc_gridfs_file_t *file,
                                     const bson_t *metadata);

## Parameters

- `file`: A mongoc_gridfs_file_t.
- `bson`: A `bson_t` containing metadata for `file`.

## Description

Sets the metadata associated with `file`.

You need to call mongoc_gridfs_file_save() to persist this change.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.